import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
//  strict
import PropTypes from 'prop-types';
import * as React from 'react';
import styled from 'styled-components';
var Wrapper =
/*#__PURE__*/
styled.h5.withConfig({
  componentId: "sc-1w711cn-0"
})(["\n  color: ", ";\n  font-family: ", ";\n  font-size: 0.875rem;\n  font-weight: 600;\n  text-transform: uppercase;\n  margin-bottom: 1rem;\n  letter-spacing: 1px;\n"], function (props) {
  return props.theme['footerCategoryColor'];
}, function (props) {
  return props.theme['fontPrimary'];
});

var FooterCategory = function FooterCategory(_ref) {
  var children = _ref.children,
      rest = _objectWithoutProperties(_ref, ["children"]);

  return React.createElement(Wrapper, rest, children);
};

FooterCategory.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node
} : {};
export default FooterCategory;